#include "MatrixVector.h"
#include "DOFVector.h"

namespace AMDiS {
  
  template<>
  void Matrix<double>::invert2x2() 
  {
    TEST_EXIT(rows == 2)("WRONG\n");
    TEST_EXIT(cols == 2)("WRONG\n");

    double det = 1 / (valArray[0] * valArray[3] - valArray[1] * valArray[2]);
    double tmp = valArray[0];
    valArray[0] = det * valArray[3];
    valArray[3] = det * tmp;
    valArray[1] *= -det;
    valArray[2] *= -det;    
  }
}



